using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace LineChartSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            IntializeChartData();
        }

        private void IntializeChartData()
        {
            //Creates a New Series
            //Series1
            ChartSeries s1 = this.chartControl1.Model.NewSeries("MySeries");
            //Points for the Series
            s1.Points.Add(1, new double[] { 10, 8, 8 });
            s1.Points.Add(2, new double[] { 20, 5, 5 });
            s1.Points.Add(3, new double[] { -5, 8, 8 });
            s1.Points.Add(4, new double[] { 30, 10, 10 });
            s1.Points.Add(5, new double[] { 30, 8, 8 });
            s1.Points.Add(6, new double[] { 30, 5, 5 });
            s1.Text = s1.Name;
            s1.Style.Symbol.Shape = ChartSymbolShape.Diamond;
            //Type of Series
            s1.Type = ChartSeriesType.Line;
            s1.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Blue);

            //Series2
            ChartSeries s2 = this.chartControl1.Model.NewSeries("MySeries1");
            //Points for the Series
            s2.Points.Add(1, new double[] { 60, 8, 8 });
            s2.Points.Add(2, new double[] { 40, 5, 5 });
            s2.Points.Add(3, new double[] { 50, 8, 8 });
            s2.Points.Add(4, new double[] { 50, 10, 10 });
            s2.Points.Add(5, new double[] { 50, 8, 8 });
            s2.Points.Add(6, new double[] { 90, 5, 5 });
            s2.Text = s2.Name;
            s2.Style.Symbol.Shape = ChartSymbolShape.Star;
            //Type of Series
            s2.Type = ChartSeriesType.Line;
            s2.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Orange);

            //Add this series to the chartcontrol series
            this.chartControl1.Series.Add(s1);
            this.chartControl1.Series.Add(s2);

            s1.Style.Images = new ChartImageCollection(this.imageList1.Images);
            s2.Style.Images = new ChartImageCollection(this.imageList1.Images);

            this.chartControl1.Legend.RepresentationType = ChartLegendRepresentationType.SeriesImage;
            this.chartControl1.Legend.Items[0].ImageIndex = 0;
            this.chartControl1.Legend.Items[1].ImageIndex = 1;

            this.chartControl1.PrimaryXAxis.DrawGrid = false;
            this.chartControl1.PrimaryYAxis.DrawGrid = false;
        }
    }
}